# WebEasyML - 机器学习代码生成器

WebEasyML是一个简单易用的机器学习代码生成器，帮助初学者快速上手机器学习项目。

## 功能特点

- 支持多种机器学习模型：
  - 分类模型（KNN、SVM、朴素贝叶斯等）
  - 回归模型（线性回归、决策树、随机森林等）
  - 聚类模型（K-means、谱聚类等）
  - 降维模型（PCA、LDA等）
- 简洁直观的用户界面
- 一键生成代码
- 支持代码运行和模型下载
- 参数可视化配置

## 安装说明

1. 下载库：
```bash
pip install webeasyml
```

## 使用方法

1. 启动服务器程序：
```bash
import webeasyml
webeasyml.run(host='0.0.0.0',port=5001)
```

2. 在浏览器中访问：
```
http://localhost:5001
```

3. 使用步骤：
   - 选择模型类型
   - 输入模型名称
   - 选择具体算法
   - 调整参数（可选）
   - 上传数据集（CSV格式）
   - 点击"生成代码"
   - 运行代码或下载模型

## 注意事项

- 确保已安装所有必要的Python依赖
- 运行代码前请确保数据文件已准备好
- 模型下载功能需要模型已经训练并保存
- 所有静态资源（HTML、CSS、JavaScript）都由服务器提供
- 上传的数据集必须是CSV格式
- 代码执行有30秒超时限制

## 技术支持

如有问题或建议，请提交Issue或联系开发者。 